Skip to main content
POST
/
v1
/
video
/
video2video
Video To Video
curl --request POST \
  --url https://api.domoai.com/v1/video/video2video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "anime style, vibrant colors",
  "model": "anime-v5.5",
  "video": {
    "bytes_base64_encoded": "AAAAHGZ0eXBtcDQyAAAAAWlzb21tcD..."
  },
  "callback_url": "https://example.com/callback",
  "seconds": 5
}
'
{
  "data": {
    "task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "code": 0
}
Read Video To Video Styles to see all available styles

Authorizations

Authorization
string
header
required

API Key Bearer Token

Body

application/json
model
enum<string>
required

The model to use for video transformation.

Available options:
anime-v5.5,
anime-v1.2,
anime-v10,
anime-v9.1,
illustration-v9.1,
illustration-v20,
illustration-v8.1,
illustration-v19
Example:

"anime-v5.5"

video
VideoInput · object
required

Input video to transform. Supports domoai_uri or base64 encoded bytes from upload API.

Examples:
{
"domoai_uri": "domoai://eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJvcmdhbml6YXRpb25faWQiOiIwNjhmZWViMy1hYmVkLTcyYTItODAwMC1hZDM1ZTg0ZGIxNDAiLCJ1cGxvYWRfYnVja2V0IjoiZW50LWFwaS10ZXN0LTEzMzYyODM0MDgiLCJ1cGxvYWRfa2V5IjoiZXBoZW1lcmFsLXVwbG9hZHMvMDY4ZmVlYjMtYWJlZC03MmEyLTgwMDAtYWQzNWU4NGRiMTQwLzI1YjhmOTgwLWM2MzEtNGQ1NC05Y2VhLTU0ZGFiYjhiMjYwNy9maWxlLm1wMyIsInR5cGUiOiJlcGhlbWVyYWwiLCJjb250ZW50X3R5cGUiOiJhdWRpby9tcGVnIiwiZmlsZV9zaXplIjoxMjU2MzIsImlhdCI6MTc2ODM4NzA3MCwiZXhwIjoxNzY4NDczNDcwLCJpc3MiOiJodHRwOi8vemhtLWFwaS5mcnAtZGV2LmRvbW8uY29vbC8ifQ.E60fIHPeDtEE0NmKaPGRYtyQJtaEQI9I0aNEwgtsLrg"
}
{
"bytes_base64_encoded": "AAAAHGZ0eXBtcDQyAAAAAWlzb21tcD..."
}
seconds
integer
required

Output video duration in seconds.

Required range: 1 <= x <= 10
callback_url
string<uri> | null

Callback notification URL for task results. If configured, the server will actively send notifications when the task status changes. The message schema of the notification can be found in the Callback Protocol section.

Required string length: 1 - 2083
Example:

"https://example.com/callback"

prompt
string
default:""

Text prompt describing the desired style transformation.

Maximum string length: 2000
aspect_ratio
enum<string> | null

Output video aspect ratio. If not provided, the system will automatically detect from the input video.

Available options:
16:9,
9:16,
1:1,
4:3,
3:4
Example:

"16:9"

Response

Successful Response

data
TaskOut · object
required
code
integer
default:0